#ifndef COMMON_SHM_SRV_H_INCLUDED
#define COMMON_SHM_SRV_H_INCLUDED

#include "shm_common.h"

struct semap_env create_semaphores(const int id);
void shm_srv_cleanup(struct semap_env * const semaphores,
                     const int id);

// make sure the struct is filled with zeros
// even when the shared memory block still exists
// after a crashed run
void init_trie_meta(const struct shm_env * const env);

#endif
