#ifdef PROB_GLIBC_DOWNGRADE

#include <stddef.h>
#include <string.h>

/* CPP (preprocessor) madness -- just to put the value of PROB_GLIBC_DOWNGRADE into quotes (Daniel) */
#define STR_VALUE(arg)      #arg
#define AS_STRING(name) STR_VALUE(name)
#define DOWNGRADE_VERSION AS_STRING(PROB_GLIBC_DOWNGRADE)

/*
  This wrapper function is used to enforce that we have only a
  dependency to a pre-GLIBC 2.14 version.
 */
asm (".symver memcpy, memcpy@GLIBC_" DOWNGRADE_VERSION);
void *__wrap_memcpy(void *dest, const void *src, size_t n)
{
  return memcpy(dest, src, n);
}

#endif
