#!/bin/bash

if [ $# -ne 2 ]
then
  echo "Usage:"
  echo "makefile_generator.sh group/groups filename"
  echo "groups should be a prolog list: [group1, group2]"
  exit 1
else

echo "generating makefile for group(s): ${1}"
echo "writing file: ${2}"

if [ -e ${2} ]
then
	echo ".... file exists. Stop."
else
    echo "calling sicstus to create file"
	sicstus -l src/test_runner.pl --goal "makefile_by_category(${2}, ${1}), halt ; halt."
fi

fi